<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Moja strona WWW</title>
  </head>
  <body>
    <?php
      if (!$db_lnk = sqlite_open("/var/wwwdata/testphp.db", 0666, $msg)){
        echo 'Wystąpił błąd podczas próby połączenia z bazą...<br>';
        echo "Komunikat błędu: $msg";
        echo "</body></html>";
        exit();
      }

      if(isset($_GET['sortid'])){
        $sortid = (int)$_GET['sortid'];
      }
      else{
        $sortid = 1;
      }

      switch($sortid){
        case 1: //przypadek niekonieczny, ze względu na klauzulę default
          $sortColumn = "Id";
          break;
        case 2:
          $sortColumn = "Imie";
          break;
        case 3:
          $sortColumn = "Nazwisko";
          break;
        case 4:
          $sortColumn = "Rok_urodzenia";
          break;
        case 5:
          $sortColumn = "Miejsce_urodzenia";
          break;
        default :
          $sortColumn = "Id";
      }

      $query = "SELECT * FROM osoba ORDER BY $sortColumn";

      if(!$result = sqlite_unbuffered_query($db_lnk, $query)){
        sqlite_close();
        echo 'Wystąpił błąd: nieprawidłowe zapytanie...<br>';
        echo "</body></html>";
        exit;
      }
    ?>

    <table>
    <tr>
    <td><a href="index.php?sortid=1">Id</a></td>
    <td><a href="index.php?sortid=2">Imię</a></td>
    <td><a href="index.php?sortid=3">Nazwisko</a></td>
    <td><a href="index.php?sortid=4">Rok urodzenia</a></td>
    <td><a href="index.php?sortid=5">Miejsce urodzenia</a></td>
    </tr>

    <?php
      while($row = sqlite_fetch_array($result)){
        echo "<tr>";
        echo "<td>$row[0]</td>";
        echo "<td>$row[1]</td>";
        echo "<td>$row[2]</td>";
        echo "<td>$row[3]</td>";
        echo "<td>$row[4]</td>";
        echo "</tr>";
      }
      sqlite_close($db_lnk);
    ?>
    </table>
  </body>
</html>
